package com.pusong.business.service;

import com.pusong.business.domain.vo.home.*;

import java.util.Map;

import java.util.List;

/**
 * 首页相关接口
 */
public interface HomeService {

    MakeAmountVo selectMakeAmount(Integer type);

    ReturnMoneyInfoVo returnMoney(Integer type);
    Object getUserContractSourceAmountsByDeptId(Integer type,Long deptId);
    List getUserContractAmountsByDeptId(Integer type, Long deptId);
    Object getUserContractAndPayInfo(Integer type);
    /**
     * 首页大盘数据：各渠道成交
     * @param type
     * @return
     */
    ChannelAmountVo byChannel(Integer type,Integer dateType);

    /**
     * 首页大盘数据：任务完成率
     * @param type
     * @return
     */
    FinishTaskVo getTaskList(Integer type);
    /**
     * 首页大盘数据：任务完成时间
     * @param type
     * @return
     */
    Map<String,Object> getTaskTime(Integer type);
    /**
     * 首页大盘数据：销售数据统计
     * @param type
     * @return
     */
    Map<String,Object> salasData(Integer type);
}
